unit CenterForms;

interface

Uses Forms, Windows;

procedure CenterOverMainForm(AForm: TForm);

implementation

procedure CenterOverMainForm(AForm: TForm);
var CX, CY, L, T: Integer;
    P: TPoint;
begin
  if Application.MainForm <> nil then
  begin
    P.X := Application.MainForm.Left;
    P.Y := Application.MainForm.Top;
//    P := AForm.ClientToScreen(P);
    CX := P.X + (Application.MainForm.Width div 2);
    CY := P.Y + (Application.MainForm.Height div 2);
    with AForm do
    begin
      L := CX - (width div 2);
      T := CY - (height div 2);
      if L + Width > Screen.Width then L := Screen.Width - Width;
      if T + Height > Screen.Height then T := Screen.Height - Height;
      if L < 0 then L := 0;
      if T < 0 then T := 0;
      SetBounds(L,T,Width,Height);
    end;
  end;
end;

end.
 